> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_stats_calendar.md).

# nats\_display\_stats\_calendar

*Article Topics:* [*Customization*](/getting-started/common-topics/customization.md)*,* [*Templates*](/getting-started/common-topics/templates.md)

Alias: display\_stats\_calendar

## Parameters

| Parameter                                                                                                       | Description                                                                                                | Possible Values                            | Default Value                                                         | Example                |
| --------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------- | ------------------------------------------ | --------------------------------------------------------------------- | ---------------------- |
| [tpl](/nats-admin/skins-and-templates/further-reading/template-function-parameters/tpl.md)                      | Template used to display output                                                                            | Any valid template                         | The template, *function\_display\_stats\_calendar*                    | tpl="mytemplate"       |
| date                                                                                                            | Displays calendar for the date this many seconds since the [epoch](http://en.wikipedia.org/wiki/Unix_time) | Any whole number greater than zero or zero | The current number of seconds since the epoch; i.e., the current date | date="1219723200"      |
| [assign\_prefix](/nats-admin/skins-and-templates/further-reading/template-function-parameters/assign_prefix.md) | Prefix output variables with this word. (Click link for details)                                           | Any valid Smarty variable name             | *None.* (No prefix is used)                                           | assign\_prefix="myvar" |
| [data\_only](/nats-admin/skins-and-templates/further-reading/template-function-parameters/data_only.md)         | Set variables but don't display the template                                                               | 1                                          | *None.* The template is displayed.                                    | data\_only=1           |

## Output

A calendar; each day on the calendar links to the statistics breakdown for that day.

{% hint style="warning" %}
**Please Note:** The epoch is midnight 1 January 1970 not counting leap seconds.
{% endhint %}

### See Also

* [nats\_display\_stats](/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_stats.md) -- Display Affiliate Statistics


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.toomuchmedia.com/nats-admin/skins-and-templates/further-reading/template-functions/nats_display_stats_calendar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
